Package picard.arrays.illumina

## Class Build37ExtendedIlluminaManifestRecordCreator

- java.lang.Object
- - picard.arrays.illumina.Build37ExtendedIlluminaManifestRecordCreator

-     public class Build37ExtendedIlluminaManifestRecordCreator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ACGT_CODES` |
    `static String` | `BUILD_37` |
    `static int` | `FIVE_PRIME_SEQUENCE` |
    `static int` | `INDEL_SEQUENCE` |
    `static String` | `IUPAC_NUCLEOTIDE_CODES` |
    `static int` | `PRE_INDEL_SEQUENCE` |
    `static int` | `THREE_PRIME_SEQUENCE` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Build37ExtendedIlluminaManifestRecord` | `createRecord​(IlluminaManifestRecord illuminaManifestRecord)` |
    `Set<String>` | `getUnsupportedBuilds()` |
    `boolean` | `isRefStrandDefinedInManifest()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BUILD_37

          public static final String BUILD_37

      See Also:
        Constant Field Values

    - #### IUPAC_NUCLEOTIDE_CODES

          public static final String IUPAC_NUCLEOTIDE_CODES

      See Also:
        Constant Field Values

    - #### ACGT_CODES

          public static final String ACGT_CODES

      See Also:
        Constant Field Values

    - #### FIVE_PRIME_SEQUENCE

          public static final int FIVE_PRIME_SEQUENCE

      See Also:
        Constant Field Values

    - #### PRE_INDEL_SEQUENCE

          public static final int PRE_INDEL_SEQUENCE

      See Also:
        Constant Field Values

    - #### INDEL_SEQUENCE

          public static final int INDEL_SEQUENCE

      See Also:
        Constant Field Values

    - #### THREE_PRIME_SEQUENCE

          public static final int THREE_PRIME_SEQUENCE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createRecord

          public Build37ExtendedIlluminaManifestRecord createRecord​(IlluminaManifestRecord illuminaManifestRecord)

    - #### getUnsupportedBuilds

          public Set<String> getUnsupportedBuilds()

    - #### isRefStrandDefinedInManifest

          public boolean isRefStrandDefinedInManifest()